org.appng.core.controller.filter

## Class RedirectFilter.UrlRewriteConfig

- java.lang.Object
- - org.tuckey.web.filters.urlrewrite.Conf
  - - org.appng.core.controller.filter.RedirectFilter.UrlRewriteConfig

- Enclosing class:
    RedirectFilter

      public static class RedirectFilter.UrlRewriteConfig
      extends org.tuckey.web.filters.urlrewrite.Conf

- - ### Field Summary

    - ### Fields inherited from class org.tuckey.web.filters.urlrewrite.Conf

      `decodeUsing, defaultMatchType, useContext, useQueryString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlRewriteConfig(InputStream is, String fileName, URL systemId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.tuckey.web.filters.urlrewrite.Rule>` | `getRules()`
    `protected void` | `loadDom(InputStream inputStream)`

    - ### Methods inherited from class org.tuckey.web.filters.urlrewrite.Conf

      `addOutboundRule, addRule, destroy, getCatchElems, getDecodeUsing, getDefaultMatchType, getErrors, getFileName, getLoadedDate, getOutboundRules, initialise, isDecodeUsingCustomCharsetRequired, isDecodeUsingEncodingHeader, isEngineEnabled, isLoadedFromFile, isOk, isUseContext, isUseQueryString, loadModRewriteStyle, processConfDoc, setDecodeUsing, setDefaultMatchType, setEngineEnabled, setUseContext, setUseQueryString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlRewriteConfig

          public UrlRewriteConfig(InputStream is,
                                  String fileName,
                                  URL systemId)
                           throws IOException,
                                  SAXException,
                                  ParserConfigurationException

      Throws:
        `IOException`
        `SAXException`
        `ParserConfigurationException`

  - ### Method Detail

    - #### loadDom

          protected void loadDom(InputStream inputStream)

      Overrides:
        `loadDom` in class `org.tuckey.web.filters.urlrewrite.Conf`

    - #### getRules

          public List<org.tuckey.web.filters.urlrewrite.Rule> getRules()

      Overrides:
        `getRules` in class `org.tuckey.web.filters.urlrewrite.Conf`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.